qt5-qpa-hwcomposer-plugin (5.6.2.18-3+z6+git20230625193320.1794141.next.production) trixie; urgency=medium

  * [skip ci] Move to Droidian rolling

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 25 Jun 2023 21:33:20 +0200

qt5-qpa-hwcomposer-plugin (5.6.2.18-3+z5) bookworm; urgency=medium

  * [skip ci] [ci] Use the checkout step provided by the droidian-buildd orb

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sat, 07 Jan 2023 01:40:10 +0100

qt5-qpa-hwcomposer-plugin (5.6.2.18-3+z3) bookworm; urgency=medium

  * [skip ci] Replace Drone with CircleCI
  * [qt5-qpa-hwcomposer-plugin] Rebuild

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 09 Oct 2022 14:58:07 +0200

qt5-qpa-hwcomposer-plugin (5.6.2.18-2) bullseye; urgency=medium

  * [packaging] Add a description to the packaging.

 -- Erik Inkinen <erik.inkinen@gmail.com>  Tue, 01 Jun 2021 10:20:04 +0300

qt5-qpa-hwcomposer-plugin (5.6.2.18-1) bullseye; urgency=medium

  [ Erik Inkinen ]
  * Avoid X11 header collision further
  * [packaging] Initial packaging

  [ Raine Mäkeläinen ]
  * Merge pull request #88 from mer-hybris/jb50383

  [ Raine Makelainen ]
  * [hwc] Adjust package license field. Contributes to JB#50383

  [ Frajo ]
  * Merge pull request #70 from NotKit/hwc2-pr
  * Merge pull request #71 from NotKit/hwc2-pr
  * Merge pull request #73 from mer-hybris/jb43880
  * Merge pull request #78 from mer-hybris/jb45332
  * Merge pull request #81 from krnlyng/jb45362
  * Merge pull request #86 from krnlyng/jb52650

  [ Frajo Haider ]
  * [hwcomposer2] include inttypes.h to avoid build failures. JB#44546
  * [hwcomposer2] build hwcomposer2 backend only if hwcomposer2.h header exists. JB#44546
  * [hwcomposer2] set display to doze mode when the HWC backend is destroyed. JB#45332
  * [hwcomposer] QPA_HWC_IDLE_TIME should be at least 5 or up. JB#45362
  * [hwcomposer] add QPA_HWC_WAIT_ON_RETIRE_FENCE environment variable to make blocking in swap optional. JB#45362
  * hwcomposer: set display state to off when exiting.

  [ Matti Lehtimäki ]
  * [hwcomposer] Add support for hwcomposer API 1.5. Fixes MER#1686.
  * [hwcomposer] Build with OpenGL ES 3.0. JB#49406
  * Merge pull request #83 from mer-hybris/glesv3
  * [hwcomposer] Fix hwcomposer2 detection on aarch64. JB#51202
  * Merge pull request #85 from mer-hybris/aarch64-fix
  * Merge pull request #80 from Herrie82/herrie/upstream-LuneOS-changes

  [ Rinigus ]
  * [hwcomposer] Move systrace selection into a separate header

  [ Martin Jansa ]
  * [hwcomposer] Stop using deprecated and in 5.13 removed screen API

  [ Herman van Hazendonk ]
  * [hwcomposer] Add rotations support based on sensors
  * [hwcomposer] Add support for Qt 5.8+
  * [hwcomposer] Fix compatibility with qtbase 5.12
  * [hwcomposer] Make systrace optional

  [ Simonas Leleiva ]
  * Merge pull request #20 from energycsdx/master
  * Merge pull request #21 from webOS-ports/hwcomposer-1.3-support
  * Merge pull request #22 from sledges/hwcomposer-1.3-support
  * Merge pull request #19 from sletta/master
  * [eglfs] fix return logic
  * Revert "Use HWC_NUM_DISPLY_TYPES for 1.3 as number of displays"
  * Merge pull request #24 from sledges/revert-morphis
  * Merge pull request #27 from beidl/master
  * Merge pull request #28 from rburchell/master
  * Merge pull request #42 from mlehtima/master
  * [hwc] Build v0.1 only for KitKat and older
  * [hwc] add HWC 1.4 support, equivalent to 1.3
  * [hwc] since 1.4 setPowerMode controls display blanking
  * Merge pull request #44 from sledges/aosp5-polished
  * Merge pull request #51 from spiiroin/jb34319_do_not_blank_display
  * Merge pull request #58 from mlehtima/hwcomposer15
  * [hwcomposer] 64bit fixes. JB#50285
  * Merge pull request #82 from mer-hybris/64bit

  [ Andrew den Exter ]
  * [hwc] Ensure the vsync thread is not running after the context is destroyed. Fixes JB#37413
  * [hwcomposer] Disable vsync events on shutdown with hwc2. Contributes to JB#43869
  * [hwcomposer] Don't block on fences from a layer with no associated buffer. Contributes to JB#44212
  * [hwcomposer] Block in swap waiting for the swap to actually complete. Contributes to JB#44212
  * [hwcomposer] Block in swap in the v11 backend too. Contributes to JB#45362

  [ Matti Kosola ]
  * Merge pull request #48 from mikkoharju/jb32664
  * Merge pull request #76 from mer-hybris/jb44546
  * Merge pull request #77 from adenexter/jb44212-no-layer-fence

  [ Andrew Branson ]
  * Merge pull request #74 from adenexter/jb43869

  [ Franz-Josef Haider ]
  * [hwcomposer] initialize binder thread pool, add fake SurfaceFlinger service. Fixes JB#41328
  * [hwcomposer] turn QPA_HWC_SYNC_BEFORE_SET into an environment variable. JB#41357
  * [backend] include unistd for close to fix build. JB#41841
  * [backend] query display info parameters from HWC before trying fbdev. JB#43880

  [ NeKit ]
  * [hwcomposer2]: Add experimental support for HWComposer 2 API
  * [hwcomposer2]: set fence from present call as buffer reuse fence
  * [hwcomposer2]: default bufferCount to 3
  * [hwcomposer2]: remove libhwc2 from package dependencies
  * [hwcomposer2]: build hwcomposer_backend_v20.cpp only when libhwc2 is present

  [ Franz-Josef Anton Friedrich Haider ]
  * Merge pull request #66 from krnlyng/jb41328
  * Merge pull request #67 from krnlyng/jb41357
  * Merge pull request #68 from krnlyng/jb41841

  [ Gunnar Sletta ]
  * [eglfs] Set swapInterval at the right time
  * [hwc] Don't sync_wait for the retirefence. Contributes to JB#31910.
  * Merge pull request #45 from sletta/master
  * [hwc] Make sure we set planeAlpha on v5+. Contributes to JB#31910.
  * [hwc] Remove unused variables in v11 backend.
  * Merge pull request #26 from aosp-hybris/upstream2
  * Merge pull request #46 from sletta/fixes
  * [hwcomposer] Add envvars to set buffercount and force gles comp. Contributes to JB#31910.
  * Merge pull request #47 from sletta/force-gles
  * [hwcomposer] Implement QPlatformWindow::requestUpdate() for hwcomposer v11 backend. Contributes to JB#15462.
  * Merge pull request #52 from sletta/update-request
  * Avoid using Hwc::eventControl when display is off. Contributes to JB#35911.
  * Merge pull request #54 from sletta/jb35911
  * Prefer QPlatformIntegration::destroyScreen() over plain delete. Contributes to JB#35409.
  * [hwcomposer] Respond to requestUpdate after turning screen on again. Contributes to JB#36472.
  * [hwcomposer] Don't restart timer to deliver updates when called multiple times.
  * Merge pull request #60 from sletta/jb36473
  * Fix compiler warning
  * [mer] Build SBJ from master branch. Fixes JB#36788.
  * Merge pull request #61 from sletta/sbj-in-master
  * [hwcomposer] Add systraces to v11. Contributes to JB#37989.
  * Merge pull request #64 from mer-hybris/systrace
  * Merge pull request #63 from adenexter/jb37413

  [ David Greaves ]
  * Make pkgconfig(libsync) conditional by defining droid_has_no_libsync 1
  * Android 4.4.2 doesn't define HWC_DEVICE_API_VERSION_0_* anymore so #ifdef out that code
  * Merge pull request #55 from martinjones/qtupgrade-5.6

  [ Martin Jones ]
  * [hwcomposer] pkgconfig files are no longer created for private libs. Contributes to JB#35409
  * [hwcomposer] Build on qtbase 5.6. Contributes to JB#35409
  * [hwcomposer] Fix instantiation of the theme. Contributes to JB#35409

  [ mickybart ]
  * Qt 5.6.0 support
  * rename plugin to avoid conflict with QEglFSIntegrationPlugin

  [ Robin Burchell ]
  * [hwcomposer] Make buildable for Qt 5
  * packaging: Adjust for Qt 5.2
  * Don't automagically create evdev handlers for autodetection.
  * qeglfsscreen: Fix ordering in initializer to match class order.
  * qeglfscontext: Build on Qt 5.3
  * [hwcomposer] Link Qt5PlatformSupport dependencies with PKGCONFIG_PRIVATE. Contributes to JB#34869.

  [ Simo Piiroinen ]
  * [hwc] Do not power off display from HwComposerContext destructor. Fixes JB#34319

  [ Carsten Munk ]
  * Utilize new approach for hwcomposer v11
  * [backend] Fix legacy encoding (add header revision)
  * [backend_v11] Fix hwc 1.2 and 1.3 by using num_displays
  * Merge pull request #11 from mer-hybris/hwc12_13_fix
  * Merge pull request #8 from mer-hybris/hwc-legacy-version-encoding
  * [backend_v11] Implement sleepDisplay
  * Merge pull request #12 from mer-hybris/hwc12_13_fix
  * [hwc] Add environment variable QT_QPA_NO_FRAMEBUFFER_FIRST for setups like Vivante/Huawei
  * [hwc] AOSP5 support
  * [hwcomposer] Make sure outbuf and outbufAcquireFenceFd is initialized to make sure it doesn't randomly close fences. Contributes to JB#33562.

  [ Mikko Harju ]
  * [hwcomposer] No need to keep the window instance around. Contributes to JB#32664
  * [hwcomposer] Add workaround for hwc cleanup. Contributes to JB#32664

  [ Matti Lehtimaki ]
  * Fix building for devices using QCOM_BSP.

  [ Alfred Neumayer ]
  * [backend-v10] Skip wait condition if vsync timeframe exceeds
  * [backend-v10] Only print vsync information once
  * [backend-v10] Cache VSync FPS in global variable for use in the wait condition

  [ Yen-Chin Lee ]
  * Fix too many arguments for format warning
  * Use QPlatformIntegrationFactoryInterface_iid instead of hardcoding QPA version

  [ Siteshwar Vashisht ]
  * Do not use virtual display with HWC_DEVICE_API_VERSION_1_3
  * Updated comment about hwcomposer 1.2
  * [hwc] Updated instruction to include android-version.h

  [ Simon Busch ]
  * [backend-v10] make sure framebuffer module is loaded when we load the hwcomposer module
  * [backend-v10] enable/disable vsync when setting display sleep state
  * Use HWC_NUM_DISPLY_TYPES for 1.3 as number of displays
  * Add support for changes in API version 1.3
  * Require Android 4.3 for planeAlpha attribute

  [ Dmitry Panfilov ]
  * Fix compilation when macro HWC_DEVICE_API_VERSION_0_1 defined

  [ Thomas Perl ]
  * Initial commit
  * [rpm] Fix build-dependencies
  * [hwcomposer_backend] Build fixes for building against CM 10.2 headers
  * [api] Fix support for headers that re-define the 0.1 API version
  * [backend] Use hw_device_t to figure out the module version
  * [backend] Add experimental backend for hwcomposer 1.0
  * [backend_v10] Implement sleep display using blank()
  * [backend-v10] Make rendering work by submitting a single layer
  * [hwc-v10] vsync thread synchronization
  * [hwc] Conditionally compile HWC 1.0 support in (for old adaptations)
  * [hwc] Fail when application tries to create more than one window
  * Merge pull request #3 from rburchell/master
  * Merge pull request #5 from lbt/master
  * Merge pull request #6 from webOS-ports/v10-work
  * Merge pull request #9 from rburchell/master
  * [backend_v11] Add eglSwapBuffers
  * Merge pull request #10 from stskeeps/new_hwcomposer_v11_approach
  * [hwc] Add support for legacy device version encoding
  * [backend] Fix detection of old version encoding hw adaptations
  * Merge pull request #14 from Vesuri/themehints
  * [spec] Improve versioning scheme
  * Merge pull request #15 from siteshwar/hammerhead
  * Bump version
  * Merge pull request #17 from lbt/master

  [ Vesa Halttunen ]
  * [hwc] Add theme hint support

 -- Erik Inkinen <erik.inkinen@gmail.com>  Sat, 10 Apr 2021 18:00:45 +0300

